@import url('/src/styles/styles.less');

.voting-option-list-container {
    width: max(600px, 80%);


    .voting-option-container {

        // background-color: rebeccapurple;

        .voting-info-container {
            // display: flex;
            // flex-direction: column;
            // gap: 1em;
            width: min(400px, 60%);

        }

        .voting-option-container__inner {
            // background-color: red;
            position: relative;

            .voting-content-and-bar-container {
                display: block;
                width: max(200px, 90%);
                margin: 1em 1em;
            }

            .action-container {
                position: absolute;
                right: 0;
                top: 50%;
                transform: translateY(-50%);
                display: flex;
                gap: .7em;
                align-self: flex-end;
                margin: .5em .4em;

                .detail {
                    color: @blue-6;
                }

                .edit {
                    color: @blue-6;
                }

                .delete {
                    color: @red-6;
                }
            }
        }


    }

}


@media screen and (max-width: 1025px) {

    .voting-option-container {
        display: flex;
        flex-direction: column;
        position: static;

        .voting-option-container__inner {
            display: flex;
            flex-direction: column;

            .action-container {
                display: none;
                position: static;
            }
        }
    }
}